Subject: bug#78903: [PATCH] ISO C99 does not support _Noreturn

From: Helmut Eller <[email-masked]>
Date: Fri, 27 Jun 2025 16:05:35 +0200

On Thu, Jun 26 2025, Paul Eggert wrote:

> After looking at the definition of _Noreturn, perhaps you're right and
> it would be a win to simplify m4/gnulib-common.m4, which should pacify
> the unusual GCC configuration you mentioned. Does the attached patch
> work for you?

Yes, after a fashion.  The combination -Og -std=gnu99 -Wpedantic is
usable; -Og -std=cc99 -Wpedantic produces fewer warnings though.  With
-O0, both -std=gnu99 and -std=c99 produce too many warnings about
statement expressions to be of any use.

I would place the 201112 <= STDC_VERSION test first and only if it fails
fall back to __attribute__((__return__)).

Helmut